<?php
/**
 * ownCloud - lmcevideo
 *
 * This file is licensed under the Affero General Public License version 3 or
 * later. See the COPYING file.
 *
 * @author Jochen Roth <rothjochen@gmail.com>
 * @copyright Jochen Roth 2015
 */


namespace OCA\LmceVideo\AppInfo;
use OCP\Util;

\OCP\App::addNavigationEntry([
	// the string under which your app will be referenced in owncloud
	'id' => 'lmcevideo',

	// sorting weight for the navigation. The higher the number, the higher
	// will it be listed in the navigation
	'order' => 10,

	// the route that will be shown on startup
	'href' => \OCP\Util::linkToRoute('lmcevideo.page.index'),

	// the icon that will be shown in the navigation
	// this file needs to exist in img/
	'icon' => \OCP\Util::imagePath('lmcevideo', 'app.svg'),

	// the title of your application. This will be used in the
	// navigation or on the settings page of your app
	'name' => \OC_L10N::get('lmcevideo')->t('Lmce Video')
]);

//OCP\Util::connectHook('OC_Filesystem', 'post_initMountPoints', '\OC_LMCEMount_Config', 'initMountPointsHook');

\OCP\Util::addScript('lmcevideo', 'app');

\OCP\Util::addScript('lmcevideo', 'mediaelementjs/mediaelement-and-player');
\OCP\Util::addStyle('lmcevideo', 'mediaelementplayer');
\OCP\Util::addStyle('lmcevideo', 'style');
